Subject: bug#22890: 25.1.50; Wishlist: There should be file-attribute accessors

From: John Wiegley <[email-masked]>
Date: Fri, 04 Mar 2016 12:00:22 -0800

>>>>> Drew Adams <[email-masked]> writes:

>> Is there a way to get the byte compiler to output warnings about using
>> `nth' on output from `file-attributes'? That would be awesome.

> It would not be awesome. It would be annoying. There is nothing to WARN
> about here.

You could add something of that effect to elint, for example.  I'm not sure if
elint supports "level", or disabling certain warnings, but if it's bad style,
it would be nice to have an indication of it in a non-intrusive way.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2